<?php
/*
+---------------------------------------------------------------+
| Counter Strike Source Stats by acidfire (www.fireson.com)
|
| A plugin for the e107 Website System (http://e107.org)
|
| Released under the terms and conditions of the
| GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/
if (!class_exists("CounterStrike")) {
	if (file_exists(e_PLUGIN."counterstrike/languages/".e_LANGUAGE.".php")){
   		require_once(e_PLUGIN."counterstrike/languages/".e_LANGUAGE.".php");
	} else {
   		require_once(e_PLUGIN."counterstrike/languages/English.php");
	}

//Load Shortcode
   require_once(e_PLUGIN."counterstrike/counterstrike_shortcodes.php");
   global $pref;
//Add template option later
   if (file_exists($pref["cs_template"])) {
      require_once($pref["cs_template"]);
   } else {
      require_once(e_PLUGIN."counterstrike/templates/default.php");
   }   
   
   class CounterStrike {

      var $cs;

      function CounterStrike($mainpage=false) {
         global $sql;

         // Only process URL parameters if this is a main page (i.e. not a menu)
         if ($mainpage) {
            $qs   = explode(".", urldecode($_SERVER['QUERY_STRING']));
            $csop = isset($qs[0]) ? escapeshellcmd($qs[0]) : "";
            $csp1 = isset($qs[1]) ? escapeshellcmd($qs[1]) : "";

            switch ($csop) {
               case "player" : {
                  $page = $this->PlayerPage($csp1);
                  break;
               } 
               case "players" : {
                  $page = $this->PlayersPage();
                  break;
               } 
               case "weapon" : {
                  $page = $this->WeaponsPage();
                  break;
               } 
               case "credit" : {
                  $page = $this->CreditPage();
                  break;
               }
               case "medal" : {
                  $page = $this->MedalPage();
                  break;
               }
               case "playerstime" : {
                  $page = $this->PlayersTimePage();
                  break;
               } 
               case "playerskill" : {
                  $page = $this->PlayersKillPage();
                  break;
               } 
               case "playersdeath" : {
                  $page = $this->PlayersDeathPage();
                  break;
               } 
               case "playerssuicides" : {
                  $page = $this->PlayersSuicidesPage();
                  break;
               } 
               case "playersheadshot" : {
                  $page = $this->PlayersHeadshotPage();
                  break;
               } 
               case "pistol" : {
                  $page = $this->PistolPage();
                  break;
               } 
               case "gernades" : {
                  $page = $this->GernadesPage();
                  break;
               } 
               case "shotgun" : {
                  $page = $this->ShotgunPage();
                  break;
               } 
               case "lightmachinegun" : {
                  $page = $this->LightmachinegunPage();
                  break;
               } 
               case "machinegun" : {
                  $page = $this->MachinegunPage();
                  break;
               } 
               case "heavymachinegun" : {
                  $page = $this->HeavymachinegunPage();
                  break;
               }
               case "sniperrifles" : {
                  $page = $this->SniperriflesPage();
                  break;
               }
               default : {
                  $page = $this->DefaultPage();
                  break;
               }
            }

            $ns = new e107table();
            $ns->tablerender($page[0], $page[1]);
         }
      }
	  //Main Page
      function DefaultPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_TABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
		 $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_TABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Players Page
      function PlayersPage() {
         global $sql, $pref, $tp, $cs_stats, $player_list, $counterstrike_shortcodes,$COUNTERSTRIKE_PLAYERSTOPTABLE,$COUNTERSTRIKE_PLAYERSLISTTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETABLE,$COUNTERSTRIKE_PLAYERSENDTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSTOPTABLE, FALSE, $counterstrike_shortcodes);
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE, FALSE, $counterstrike_shortcodes);
         if ($sql->db_Select("counterstrikestats", "*", "ORDER BY counterstrikestats_rank ASC", "nowhere")){
            while($cs_stats = $sql->db_Fetch()) {
			//Debug Database
			if ($debug == 1){print_r($cs_stats);}
               $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETABLE, FALSE, $nextelpool_shortcodes);
            }
         }
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSENDTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Weapons Page
      function WeaponsPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_WEAPONSTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_WEAPONSTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Pistol Page
      function PistolPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_WEAPONSPISTOLTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_WEAPONSPISTOLTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Gernades Page
      function GernadesPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_WEAPONSGERNADESTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_WEAPONSGERNADESTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Shotgun Page
      function ShotgunPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_WEAPONSSHOTGUNTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_WEAPONSSHOTGUNTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Light Machine Gun Page
      function LightmachinegunPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_WEAPONSLIGHTMACHINEGUNTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_WEAPONSLIGHTMACHINEGUNTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Machine Gun Page
      function MachinegunPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_WEAPONSMACHINEGUNTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_WEAPONSMACHINEGUNTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Heavy Machine Gun Page
      function HeavymachinegunPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_WEAPONSHEAVYMACHINEGUNTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_WEAPONSHEAVYMACHINEGUNTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }	  
	  //Sniper Rifles Gun Page
      function SniperriflesPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes, $COUNTERSTRIKE_WEAPONSSNIPERRIFLESTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_WEAPONSSNIPERRIFLESTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }	
	  //Credit Page
      function CreditPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes,$COUNTERSTRIKE_CREDITTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_CREDITTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Medal Page
      function MedalPage() {
         global $sql, $pref, $tp, $counterstrike_shortcodes,$COUNTERSTRIKE_MEDALTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_MEDALTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Players Time Page
      function PlayersTimePage() {
         global $sql, $pref, $tp, $cs_stats, $player_list, $counterstrike_shortcodes, $COUNTERSTRIKE_PLAYERSTOPTABLE,$COUNTERSTRIKE_PLAYERSLISTTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETABLE,$COUNTERSTRIKE_PLAYERSENDTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSTOPTABLE, FALSE, $counterstrike_shortcodes);
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE, FALSE, $counterstrike_shortcodes);
         if ($sql->db_Select("counterstrikestats", "*", "ORDER BY counterstrikestats_totaltimeonline DESC", "nowhere")){
            while($cs_stats = $sql->db_Fetch()) {
			//Debug Database
			if ($debug == 1){print_r($cs_stats);}
               $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETABLE, FALSE, $nextelpool_shortcodes);
            }
         }
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSENDTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Players Kill Page
      function PlayersKillPage() {
         global $sql, $pref, $tp, $cs_stats, $player_list, $counterstrike_shortcodes, $COUNTERSTRIKE_PLAYERSTOPTABLE,$COUNTERSTRIKE_PLAYERSLISTTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETABLE,$COUNTERSTRIKE_PLAYERSENDTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSTOPTABLE, FALSE, $counterstrike_shortcodes);
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE, FALSE, $counterstrike_shortcodes);
         if ($sql->db_Select("counterstrikestats", "*", "ORDER BY counterstrikestats_kills DESC", "nowhere")){
            while($cs_stats = $sql->db_Fetch()) {
			//Debug Database
			if ($debug == 1){print_r($cs_stats);}
               $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETABLE, FALSE, $nextelpool_shortcodes);
            }
         }
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSENDTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }
	  //Players Death Page
      function PlayersDeathPage() {
         global $sql, $pref, $tp, $cs_stats, $player_list, $counterstrike_shortcodes, $COUNTERSTRIKE_PLAYERSTOPTABLE,$COUNTERSTRIKE_PLAYERSLISTTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETABLE,$COUNTERSTRIKE_PLAYERSENDTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSTOPTABLE, FALSE, $counterstrike_shortcodes);
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE, FALSE, $counterstrike_shortcodes);
         if ($sql->db_Select("counterstrikestats", "*", "ORDER BY counterstrikestats_deaths DESC", "nowhere")){
            while($cs_stats = $sql->db_Fetch()) {
			//Debug Database
			if ($debug == 1){print_r($cs_stats);}
               $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETABLE, FALSE, $nextelpool_shortcodes);
            }
         }
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSENDTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }	  
      //Players Suicides Page
      function PlayersSuicidesPage() {
         global $sql, $pref, $tp, $cs_stats, $player_list, $counterstrike_shortcodes, $COUNTERSTRIKE_PLAYERSTOPTABLE,$COUNTERSTRIKE_PLAYERSLISTTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETABLE,$COUNTERSTRIKE_PLAYERSENDTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSTOPTABLE, FALSE, $counterstrike_shortcodes);
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE, FALSE, $counterstrike_shortcodes);
         if ($sql->db_Select("counterstrikestats", "*", "ORDER BY counterstrikestats_suicides DESC", "nowhere")){
            while($cs_stats = $sql->db_Fetch()) {
			//Debug Database
			if ($debug == 1){print_r($cs_stats);}
               $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETABLE, FALSE, $nextelpool_shortcodes);
            }
         }
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSENDTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }	  
      //Players Headshot Page
      function PlayersHeadshotPage() {
         global $sql, $pref, $tp, $cs_stats, $player_list, $counterstrike_shortcodes, $COUNTERSTRIKE_PLAYERSTOPTABLE,$COUNTERSTRIKE_PLAYERSLISTTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE,$COUNTERSTRIKE_PLAYERSMIDDLETABLE,$COUNTERSTRIKE_PLAYERSENDTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSTOPTABLE, FALSE, $counterstrike_shortcodes);
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETOPTABLE, FALSE, $counterstrike_shortcodes);
         if ($sql->db_Select("counterstrikestats", "*", "ORDER BY counterstrikestats_headshot DESC", "nowhere")){
            while($cs_stats = $sql->db_Fetch()) {
			//Debug Database
			if ($debug == 1){print_r($cs_stats);}
               $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSMIDDLETABLE, FALSE, $nextelpool_shortcodes);
            }
         }
         $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERSENDTABLE, FALSE, $counterstrike_shortcodes);
         return array($caption, $text);
	  }	  
	  //Player Page
      function PlayerPage($playerid) {
         global $sql, $pref, $tp, $cs_player, $counterstrike_shortcodes, $COUNTERSTRIKE_PLAYERTOPTABLE;
		 //Debug Code
		 $debug = 0;
		 $caption = $pref["cs_title"];
         $text = "";
         $this->Viewclass_code();
         $this->Update_code();
		 if ($sql->db_Select("counterstrikestats", "*", "counterstrikestats_id=$playerid")){
            while($cs_player = $sql->db_Fetch()) {
			//Debug Database
			if ($debug == 1){print_r($cs_player);}
               $text .= $tp->parseTemplate($COUNTERSTRIKE_PLAYERTOPTABLE, FALSE, $counterstrike_shortcodes);
            }
         }
         return array($caption, $text);
      }	  

function Update_code() {	  
global $pref, $sql, $tp;
$text = "";
$db_debug = false;

if($pref['cs_noftp'] == "1")
{
	$link = $pref['cs_link']; 
	$newfile = e_PLUGIN.'counterstrike/statsfile/mani_ranks.txt';
	if (!copy($link, $newfile))
	{
		$text .= cs_MAINPAGE_257;
		return $text;   
	}
}

if($pref['cs_timeupdated']== "")
{
	//Empty the db first, we want it clean
	$sql->db_Select_gen("truncate table e107_counterstrikestats", $db_debug);
	$array = file(e_PLUGIN.'counterstrike/statsfile/mani_ranks.txt');
	foreach($array as $line)
	{
		$logline = explode(',', $line);
		$qry = "0, '".implode("', '", $tp->toDB($logline))."'";
		$sql->db_Insert("counterstrikestats", $qry, $db_debug);
	}
	$pref['cs_timeupdated'] = time();
	save_prefs();
}
else
{
	$realtime = time();
	$lastupdate = $pref['cs_timeupdated'];
	$updatetime = $pref['cs_timelimit'];
	$time = $updatetime+$lastupdate;
	if($realtime >= $time)
	{
		$array = file(e_PLUGIN.'counterstrike/statsfile/mani_ranks.txt');
		foreach($array as $line)
		{
			$logline = explode(",", trim($line));

			if($sql->db_Select("counterstrikestats", "counterstrikestats_id", "counterstrikestats_steamid = '{$logline[0]}'", true, $db_debug))
			{
				//Record already exists, need to update all values
				$row = $sql->db_Fetch();
				$update = "
									counterstrikestats_ipaddress='".$logline[$x][1]."', 
									counterstrikestats_lastconnect='".$logline[2]."', 
									counterstrikestats_rank='".$logline[3]."', 
									counterstrikestats_points='".$logline[4]."', 
									counterstrikestats_deaths='".$logline[5]."', 
									counterstrikestats_headshot='".$logline[6]."', 
									counterstrikestats_kills='".$logline[7]."', 
									counterstrikestats_suicides='".$logline[8]."', 
									counterstrikestats_teamkills='".$logline[9]."', 
									counterstrikestats_totaltimeonline='".$logline[10]."', 
									counterstrikestats_damage='".$logline[11]."', 
									counterstrikestats_hitgeneric='".$logline[12]."', 
									counterstrikestats_hithead='".$logline[13]."', 
									counterstrikestats_hitchest='".$logline[14]."', 
									counterstrikestats_hitstomach='".$logline[15]."', 
									counterstrikestats_hitleftarm='".$logline[16]."', 
									counterstrikestats_hitrigharm='".$logline[17]."', 
									counterstrikestats_hitleftleg='".$logline[18]."', 
									counterstrikestats_hitrightleg='".$logline[19]."', 
									counterstrikestats_ak47kills='".$logline[20]."', 
									counterstrikestats_m4a1kills='".$logline[21]."', 
									counterstrikestats_mp5navykills='".$logline[22]."', 
									counterstrikestats_awpkills='".$logline[23]."', 
									counterstrikestats_uspkills='".$logline[24]."', 
									counterstrikestats_deaglekills='".$logline[25]."', 
									counterstrikestats_augkills='".$logline[26]."', 
									counterstrikestats_hegrenadekills='".$logline[27]."', 
									counterstrikestats_xm1014kills='".$logline[28]."', 
									counterstrikestats_knifekills='".$logline[29]."', 
									counterstrikestats_g3sg1kills='".$logline[30]."', 
									counterstrikestats_sg550kills='".$logline[31]."', 
									counterstrikestats_galilkills='".$logline[32]."', 
									counterstrikestats_m3kills='".$logline[33]."', 
									counterstrikestats_scoutkills='".$logline[34]."', 
									counterstrikestats_sg552kills='".$logline[35]."', 
									counterstrikestats_famaskills='".$logline[36]."', 
									counterstrikestats_glockkills='".$logline[37]."', 
									counterstrikestats_tmpkills='".$logline[38]."', 
									counterstrikestats_ump45kills='".$logline[39]."', 
									counterstrikestats_p90kills='".$logline[40]."', 
									counterstrikestats_m249kills='".$logline[41]."', 
									counterstrikestats_elitekills='".$logline[42]."', 
									counterstrikestats_mac10kills='".$logline[43]."', 
									counterstrikestats_fivesevenkills='".$logline[44]."', 
									counterstrikestats_p228kills='".$logline[45]."', 
									counterstrikestats_flashbangkills='".$logline[46]."', 
									counterstrikestats_smokegrenadekills='".$logline[47]."', 
									counterstrikestats_shotsfired='".$logline[48]."', 
									counterstrikestats_shotshit='".$logline[49]."', 
									counterstrikestats_bombsplanted='".$logline[50]."', 
									counterstrikestats_bombsdefused='".$logline[51]."', 
									counterstrikestats_hostagesrescued='".$logline[52]."', 
									counterstrikestats_hostagestouched='".$logline[53]."', 
									counterstrikestats_hostageskilled='".$logline[54]."', 
									counterstrikestats_bombsexploded='".$logline[55]."', 
									counterstrikestats_bombsdropped='".$logline[56]."', 
									counterstrikestats_bombdefusalsattempted='".$logline[57]."', 
									counterstrikestats_vipescaped='".$logline[58]."', 
									counterstrikestats_vipkilled='".$logline[59]."', 
									counterstrikestats_wonasct='".$logline[60]."', 
									counterstrikestats_lostasct='".$logline[61]."', 
									counterstrikestats_wonast='".$logline[62]."', 
									counterstrikestats_lostast='".$logline[63]."', 
									counterstrikestats_playername='".$logline[64]."' 
									WHERE counterstrikestats_id='".$row['counterstrikestats_id']."'
								";

					$sql->db_Update("counterstrikestats", $update, $db_debug);
			}
			else
			{
				//Record not there, need to add it
        $qry = "0, '".implode("', '", $tp->toDB($logline))."'";
        $sql->db_Insert("counterstrikestats", $qry, $db_debug);
    	}
		}
		$today = time();
		$pref['cs_timeupdated'] = time();
		save_prefs();
	}
}
}
function Viewclass_code() {	
   global $pref;
   if (!check_class($pref['cs_class'])) {
      header("location:".e_BASE."index.php");
   }
}	  
	  
}
   $GLOBALS['Counterstrike'] = new CounterStrike();
}
?>
